MantisBT

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0004282ardourbugspublic2011-08-19 14:102011-11-15 10:33
Reporterrytmenpinne 
Assigned Tocth103 
PrioritynormalSeveritymajorReproducibilityalways
StatusresolvedResolutionfixed 
PlatformOSOS Version
Product Version3.0-alpha10 
Target Version3.0-beta2Fixed in Version3.0-beta2 
Summary0004282: export format presets aren't saved
DescriptionThey are forgot even after closing and reopening the export dialog
TagsNo tags attached.
Attached Files

- Relationships

-  Notes
(0011384)
JaaxxOne (reporter)
2011-08-19 22:27

Same issue here on all the A3 Alphas
(0011493)
cth103 (administrator)
2011-09-12 15:06

Works for me. After you save a preset, what files are in your

~/.config/ardour3/export

directory?
(0011495)
rytmenpinne (reporter)
2011-09-13 11:43
edited on: 2011-09-13 11:44

basicwav48.format
CD only.preset
CD (Red Book) (copy).format
CD (Red Book).format
DVD-A.format
DVD-A only.preset
FLAC 24 bit .format
flac.format
ogg.format
Ogg_Vorbis.format
Ogg_Vorbis (tagged) (copy).format
Ogg_Vorbis (tagged).format
premaster.format
PreMaster.format
PREmaster.format

I remever creating some of those some ago, doesn't show up in my export dialog tho.

(0011498)
cth103 (administrator)
2011-09-14 06:09

After you open the export dialog, do you get a message along the lines of

[INFO]: Searching for export formats in /home/carl/.config/ardour3/export:/usr/local/lib/ardour3/export

in the Ardour Log window? If so, what does it say?
(0011521)
rytmenpinne (reporter)
2011-09-15 04:25
edited on: 2011-09-15 04:36

no such message, this is the log, wich btw contains another small bug concerning custom clicks.

[INFO]: looking for control protocols in /opt/Ardour-3.0alpha10_10000-dbg/lib/surfaces
[INFO]: Control surface protocol discovered: "Generic MIDI"
[INFO]: Control surface protocol discovered: "Open Sound Control (OSC)"
[INFO]: Control surface protocol discovered: "Mackie"
[INFO]: Loading menus from /opt/Ardour-3.0alpha10_10000-dbg/etc/ardour.menus
[WARNING]: cannot open click soundfile /home/alex/various (System error.)
[WARNING]: cannot open click soundfile /home/alex/various (System error.)
[WARNING]: cannot open click soundfile /home/alex/various (System error.)
[WARNING]: cannot open click soundfile /home/alex/various (System error.)
[INFO]: Loading bindings from /home/alex/.config/ardour3/ardour.bindings
Loading history from /home/alex/audio-projects/I am the Cbelt/I am the Cbelt.history

reported here; http://tracker.ardour.org/view.php?id=4321 [^]

(0012025)
cth103 (administrator)
2011-11-14 17:13

Do you not see the "Searching for export formats" message even _after_ opening the export dialog?
(0012055)
rytmenpinne (reporter)
2011-11-15 10:00

aaah, it's looking in the install directory but they're stored in my user config


[INFO]: Searching for export formats in /opt/Ardour-3.0alpha10_10000-dbg/share/export
(0012059)
cth103 (administrator)
2011-11-15 10:33

OK, this should be fixed in SVN 10623. Please re-open this bug if you are still having problems. Thanks!

- Issue History
Date Modified Username Field Change
2011-08-19 14:10 rytmenpinne New Issue
2011-08-19 22:27 JaaxxOne Note Added: 0011384
2011-08-20 07:02 cth103 cost => 0.00
2011-08-20 07:02 cth103 Target Version => 3.0-beta1
2011-09-12 15:06 cth103 Note Added: 0011493
2011-09-12 15:06 cth103 Status new => feedback
2011-09-13 11:43 rytmenpinne Note Added: 0011495
2011-09-13 11:44 rytmenpinne Note Edited: 0011495
2011-09-14 06:09 cth103 Note Added: 0011498
2011-09-15 04:25 rytmenpinne Note Added: 0011521
2011-09-15 04:36 rytmenpinne Note Edited: 0011521
2011-11-14 17:13 cth103 Note Added: 0012025
2011-11-15 07:46 cth103 Target Version 3.0-beta1 => 3.0-beta2
2011-11-15 10:00 rytmenpinne Note Added: 0012055
2011-11-15 10:33 cth103 Note Added: 0012059
2011-11-15 10:33 cth103 Status feedback => resolved
2011-11-15 10:33 cth103 Resolution open => fixed
2011-11-15 10:33 cth103 Assigned To => cth103
2011-11-15 10:33 cth103 Fixed in Version => 3.0-beta2


Copyright © 2000 - 2018 MantisBT Team
Powered by Mantis Bugtracker